| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::TimeCorrelationData Class Reference

Data structure defining timeCorrelations. More...

List of all members.

## Public Member Functions
| TimeCorrelationData ()
| Default constructor.
| TimeCorrelationData (long bulType, long iersFormula, long predFirst, PolarMotionFormula &polarForm, TimeCorrelationFormula &timeForm, vector< TimeData > &timData, vector< PolarMotionParams > &polarData, LeapSecondInfo &leapInfo)
| Constructor with parameters.
| TimeCorrelationData (long bulType, long iersFormula, long predFirst, PolarMotionFormula &polarForm, TimeCorrelationFormula &timeForm, vector< TimeData > &timData, vector< PolarMotionParams > &polarData, LeapSecondInfo &leapInfo, LaunchInertialFrameConfig &launchInertialFrameCfg)
| Constructor with parameters.
## Public Attributes
long | iersBulletinType
| Bulletin type (XLBulletinTypeEnum).
long | iersFormulaFlag
| IERS formula enabled/disabled (IersFormulaFlagEnum).
long | predictionFirstRecord
| Indicates the 1st record belonging to bulletin A for B+A initialization (starting at 0).
PolarMotionFormula | polarMotionFormula
| Polar motion extrapolation formula parameters.
TimeCorrelationFormula | timeCorrelationFormula
| Time correlation extrapolation formula parameters.
vector< TimeData > | timeCorrVector
| Time correlation data.
vector< PolarMotionParams > | polarMotionParams
| Polar motion parameters.
LeapSecondInfo | leapSecond
| Leap Second info.
LaunchInertialFrameConfig | launchInertialFrameConfig
| Launch Inertial Frame Config.

## Detailed Description

Data structure defining timeCorrelations.

## Constructor & Destructor Documentation

EECFI::TimeCorrelationData::TimeCorrelationData | ( |  | ) | `[inline]`

Default constructor.

EECFI::TimeCorrelationData::TimeCorrelationData | ( | long | bulType,
|  | long | iersFormula,
|  | long | predFirst,
|  | PolarMotionFormula & | polarForm,
|  | TimeCorrelationFormula & | timeForm,
|  | vector< TimeData > & | timData,
|  | vector< PolarMotionParams > & | polarData,
|  | LeapSecondInfo & | leapInfo |
| ) |  |  | `[inline]`

Constructor with parameters.

EECFI::TimeCorrelationData::TimeCorrelationData | ( | long | bulType,
|  | long | iersFormula,
|  | long | predFirst,
|  | PolarMotionFormula & | polarForm,
|  | TimeCorrelationFormula & | timeForm,
|  | vector< TimeData > & | timData,
|  | vector< PolarMotionParams > & | polarData,
|  | LeapSecondInfo & | leapInfo,
|  | LaunchInertialFrameConfig & | launchInertialFrameCfg |
| ) |  |  | `[inline]`

Constructor with parameters.

## Member Data Documentation

long EECFI::TimeCorrelationData::iersBulletinType

Bulletin type (XLBulletinTypeEnum).

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

long EECFI::TimeCorrelationData::iersFormulaFlag

IERS formula enabled/disabled (IersFormulaFlagEnum).

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

LaunchInertialFrameConfig EECFI::TimeCorrelationData::launchInertialFrameConfig

Launch Inertial Frame Config.

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

LeapSecondInfo EECFI::TimeCorrelationData::leapSecond

Leap Second info.

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

PolarMotionFormula EECFI::TimeCorrelationData::polarMotionFormula

Polar motion extrapolation formula parameters.

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

vector<PolarMotionParams> EECFI::TimeCorrelationData::polarMotionParams

Polar motion parameters.

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

long EECFI::TimeCorrelationData::predictionFirstRecord

Indicates the 1st record belonging to bulletin A for B+A initialization (starting at 0).

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

TimeCorrelationFormula EECFI::TimeCorrelationData::timeCorrelationFormula

Time correlation extrapolation formula parameters.

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().

vector<TimeData> EECFI::TimeCorrelationData::timeCorrVector

Time correlation data.

Referenced by EECFI::TimeCorrelation::getData(), and EECFI::TimeCorrelation::setData().